summaryrefslogtreecommitdiff
path: root/libraries
diff options
context:
space:
mode:
authorLehman Black <bzqwerty[at]gmail[dot]com>2010-05-11 14:56:13 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:13 +0200
commitc36eae4745cf88a357eef470f1e1322192d07dd9 (patch)
treecb0745443b2c4358b95ee65f46db5b1799cb265e /libraries
parent55b9e199300435550912fa98105c91a05d17123e (diff)
downloadslackbuilds-c36eae4745cf88a357eef470f1e1322192d07dd9.tar.gz
libraries/exo: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/exo/README7
-rw-r--r--libraries/exo/exo.SlackBuild60
-rw-r--r--libraries/exo/exo.info8
-rw-r--r--libraries/exo/slack-desc11
4 files changed, 86 insertions, 0 deletions
diff --git a/libraries/exo/README b/libraries/exo/README
new file mode 100644
index 0000000000..d92f8f499e
--- /dev/null
+++ b/libraries/exo/README
@@ -0,0 +1,7 @@
+libexo is the extension library to Xfce developed by os-cillation. While
+Xfce ships with quite a few libraries that are primarly targeted at desktop
+development, libexo is targeted at application development, with a focus on
+applications for Xfce.
+
+Requires the URI::Escape perl module (uri-escape at SlackBuilds.org)
+
diff --git a/libraries/exo/exo.SlackBuild b/libraries/exo/exo.SlackBuild
new file mode 100644
index 0000000000..de9dab8604
--- /dev/null
+++ b/libraries/exo/exo.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+######################################
+# Slackware Build Script #
+######################################
+# AUTHOR: Lehman Black #
+# CONTACT: bzqwerty[at]gmail[dot]com #
+######################################
+
+# Modified by the SlackBuilds.org project
+
+PROG=exo
+VERSION=0.3.1.12rc2
+ARCH=${ARCH:-i486}
+TAG=${TAG:-_SBo}
+BUILD=${BUILD:-1}
+
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PROG
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+tar xvf $CWD/$PROG-$VERSION.tar.gz || exit 1
+cd $PROG-$VERSION || exit 1
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PROG-$VERSION
+cp -av AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PROG-$VERSION
+cat $CWD/$PROG.SlackBuild > $PKG/usr/doc/$PROG-$VERSION/$PROG.SlackBuild
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c y $OUTPUT/$PROG-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/exo/exo.info b/libraries/exo/exo.info
new file mode 100644
index 0000000000..db38cc4218
--- /dev/null
+++ b/libraries/exo/exo.info
@@ -0,0 +1,8 @@
+PRGNAM="exo"
+VERSION="0.3.1.12rc2"
+HOMEPAGE="http://www.os-cillation.de/index.php?id=29&L=5"
+DOWNLOAD="http://download.berlios.de/xfce-goodies/exo-0.3.1.12rc2.tar.gz"
+MD5SUM="c3eae1b91f0d723236c4e80983be9ae5"
+MAINTAINER="Lehman Black"
+EMAIL="bzqwerty[at]gmail[dot]com "
+APPROVED="robw810"
diff --git a/libraries/exo/slack-desc b/libraries/exo/slack-desc
new file mode 100644
index 0000000000..8e617174e2
--- /dev/null
+++ b/libraries/exo/slack-desc
@@ -0,0 +1,11 @@
+exo: exo (Xfce extention library)
+exo:
+exo: Exo is the extension library to Xfce developed by os-cillation.
+exo: Exo contains a bunch of additional widgets, provides a framework for
+exo: editable toolbars, light-weight session management support, functions to
+exo: automatically synchronize object properties and several miscelleanous
+exo: utility and helper functions for application developers.
+exo:
+exo: Home Page: http://www.os-cillation.de/index.php?id=29&L=5
+exo:
+exo: